Favicon

You are here: Home > API Reference > Apple > Apple Devices Notifications > Notify admDevice

Notify admDevice

Required Permission: mdm.apple.deviceNotification.action

Notify admDevice

POST
/v1/organizations/:organizationId/mdm/apple/enterprise/devices/:admDeviceId/notifications/
Copy to clipboard

Notify admDevice

Required Permission: mdm.apple.deviceNotification.action

Notify admDevice

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^[a-fA-F0-9]{24}$
Body Params application/json
appName string required
mdmAgent
action string required
refresh sendLogs
{
    "appName": "mdmAgent",
    "action": "refresh"
}

Responses

200 Response application/json
status boolean optional
data object optional
status string required
done
action string optional
refresh sendLogs
appName string optional
mdmAgent
{
    "status": true,
    "data": {
        "status": "done",
        "action": "refresh",
        "appName": "mdmAgent"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}